import dayjs from 'dayjs';

/**
 * 日期格式化工具
 * @param dateStr 字符串日期或时间戳
 * @param format 格式模板，默认为 'YYYY-MM-DD'
 * @returns 格式化后的字符串
 */
export const formatDate = (dateStr: string | number | Date, format: string = 'YYYY-MM-DD') => {
  if (!dateStr) return '-';
  if (typeof dateStr === 'string' && dateStr.startsWith('0001-01-01')) return '-';
  
  const d = dayjs(dateStr);
  if (!d.isValid()) return '-';
  
  return d.format(format);
};
